/* Abstract Syntax Tree simplifié
 *
 * Rapport.pdf
 * -Page de couverture
 * -Table de matiére
 * 1) Introduction
 * 2) Etat de l'art
 * 3) Analyse + conception (Algo & structure de données)
 * 4) Réalisation (fonctionalités, jeux de données,
 *  analyse des résultats)
 * 5) Conclusion (Bilan + perspectives)
 *
 *
 *
 *
 * fichier dans une chaine
 * Créer l'arbre de chaque fichier
 * comparer
 *
 *
 */
 
 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "lire.c"
#include "espace.c"
#include "accolade.c"
#include "parse.c"
#include "tabl.c"
#include "DetectionTests.c"


int main(int argc,char** argv)
{
	//Si plus de 2 fichiers sont en paramètres, on les compare
	if (argc>2){
		//Récupération du premier fichier
		char *s="";
		s=lire(argv[1]);
		
		//Récupération du deuxième fichier
		char *s2="";
		s2=lire(argv[2]);
		
		//Si les chaines sont vides, on a pas réussi à ouvrir les fichiers
		if ((strcmp(s,"")==0) || (strcmp(s2,"")==0)){
			printf("Fichiers invalides\n\n");
		}else{
			//On espace le code du fichier 1
			char *t;
			t=espacer(s);
			
			//On parse le code du fichier 1
			char *u;
			u=parse(t);
			printf("Fichier 1 après parsage : \n%s\n\n",u);
			int ligne1 = nbLigne(u);
			//On met le code du fichier 1 en tableau
			char*** code1 = tableau(u);
			
			
			//On fait de même pour le deuxième fichier
			char *t2;
			t2=espacer(s2);
			char *u2;
			u2=parse(t2);
			printf("Fichier 2 après parsage : \n%s\n\n",u2);
			int ligne2 = nbLigne(u2);
			char*** code2 = tableau(u2);
			
			
			//On appelle la fonction afin de calculer les scores de simmilitudes entre les fichiers
			float scorecomp = stuctDetecte(code1,code2,ligne1,ligne2);
			if (scorecomp>0.8){
				printf("\nForte chance de plagiat\n\n\n\n\n\n");
			}else{
				printf("\nPas de plagiat détecté\n\n\n\n\n\n");
			}
		}
	}else{
		printf("Veuillez ajouter 2 fichiers\n");
	}
	return 0;
}


